> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bison.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Place Limit Order

<Info>
  To avoid ambiguity, we denote the smallest possible multiple of USDC (0.000001 USDC) as one `uusdc`,
  which stands for µUSDC (micro-USDC), and denote the smallest possible multiple of a contract (0.01 contract)
  as one `ccontract` (centicontract).

  User-facing USDC balances are specified as fixed-point strings (e.g. `"1.2625"` for USDC). Contract quantities
  in the API and SDK are specified as integer `ccontracts` strings (e.g. `"1050"` for 10.50 contracts at precision 2).
</Info>


## OpenAPI

````yaml POST /kalshi/order/limit
openapi: 3.0.0
info:
  version: 1.0.0
  title: Bison API
servers: []
security: []
paths:
  /kalshi/order/limit:
    post:
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                chain:
                  type: string
                  enum:
                    - base
                    - bsc
                  description: 'Chain to execute the action on; one of: base, bsc'
                  example: base
                marketId:
                  type: string
                  description: ID of the market to buy/sell in
                  example: PRES-2024
                ccontracts:
                  type: string
                  description: >-
                    Number of ccontracts as a positive integer string (1
                    contract = 100 ccontracts).
                  example: '1050'
                priceUusdc:
                  type: string
                  description: >-
                    Price per contract in µUSDC (micro-USDC, 1 µUSDC = 0.000001
                    USD). Must be positive integer string.
                  example: '750000'
                action:
                  type: string
                  enum:
                    - buy
                    - sell
                  description: Action to execute
                  example: buy
                side:
                  type: string
                  enum:
                    - 'yes'
                    - 'no'
                  description: Side of the market (yes or no)
                  example: 'yes'
                userAddress:
                  type: string
                  pattern: ^0x[a-fA-F0-9]{40}$
                  description: User wallet address
                  example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
                signature:
                  type: string
                  description: EIP-712 signature from the user authorizing the order
                  example: 0x...
                expiry:
                  type: number
                  description: Unix timestamp when the authorization expires
                  example: 1234567890
                devAccountId:
                  type: string
                  description: Optional dev account ID to attribute this order to
                  example: bison
              required:
                - chain
                - marketId
                - ccontracts
                - priceUusdc
                - action
                - side
                - userAddress
                - signature
                - expiry
      responses:
        '200':
          description: Order placed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  orderId:
                    type: string
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - success
                  - orderId
                  - status
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Market not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````